Skip to content

OpenAPI Spec

GET
/v1/assignments/spec

Get OpenAPI 3.1.0 spec for Assignment API

Responses

Returns OpenAPI 3.1.0 spec for Assignment API

application/json
JSON
{
}

Playground

Samples


List Assignments

GET
/v1/assignments

List Assignments

Authorizations

apiKey
Type
HTTP (bearer)

Parameters

Query Parameters

page
Type
number
Minimum
0
Default
0
size
Type
number
Minimum
1
Maximum
20
Default
10
id
customerId
projectId
typeId
responsibleUserId
statusId
name
number
externalId
createdAt
updatedAt

Responses

List response

application/json
JSON
{
"page": 0,
"pages": 0,
"size": 10,
"items": [
{
"id": 0,
"number": "string",
"name": "string",
"comment": "string",
"notesBackOffice": "string",
"color": "string",
"address": {
"supplement": "string",
"street": "string",
"clarification": "string",
"zip": "string",
"city": "string",
"state": "string",
"country": "string",
"latitude": 0,
"longitude": 0,
"externalId": "string"
},
"customerId": 0,
"projectId": 0,
"typeId": 0,
"responsibleUserId": 0,
"statusId": 0,
"externalId": "string",
"createdAt": "string",
"updatedAt": "string"
}
]
}

Playground

Server
Authorization
Variables
Key
Value

Samples


Create a new Assignment

POST
/v1/assignments

Create a new Assignment

Authorizations

apiKey
Type
HTTP (bearer)

Request Body

application/json
JSON
{
"number": null,
"name": null,
"comment": null,
"notesBackOffice": null,
"color": null,
"address": {
"supplement": null,
"street": null,
"clarification": null,
"zip": null,
"city": null,
"state": null,
"country": null,
"externalId": null
},
"customerId": null,
"projectId": null,
"typeId": null,
"responsibleUserId": null,
"statusId": null,
"externalId": null
}

Responses

Assignment found

application/json
JSON
{
"id": 0,
"number": "string",
"name": "string",
"comment": "string",
"notesBackOffice": "string",
"color": "string",
"address": {
"supplement": "string",
"street": "string",
"clarification": "string",
"zip": "string",
"city": "string",
"state": "string",
"country": "string",
"latitude": 0,
"longitude": 0,
"externalId": "string"
},
"customerId": 0,
"projectId": 0,
"typeId": 0,
"responsibleUserId": 0,
"statusId": 0,
"externalId": "string",
"createdAt": "string",
"updatedAt": "string"
}

Playground

Server
Authorization
Body

Samples


Get an Assignment

GET
/v1/assignments/{assignmentId}

Get an Assignment by ID

Authorizations

apiKey
Type
HTTP (bearer)

Parameters

Path Parameters

assignmentId*
Type
integer
Required
Format
"int32"

Responses

Assignment found

application/json
JSON
{
"id": 0,
"number": "string",
"name": "string",
"comment": "string",
"notesBackOffice": "string",
"color": "string",
"address": {
"supplement": "string",
"street": "string",
"clarification": "string",
"zip": "string",
"city": "string",
"state": "string",
"country": "string",
"latitude": 0,
"longitude": 0,
"externalId": "string"
},
"customerId": 0,
"projectId": 0,
"typeId": 0,
"responsibleUserId": 0,
"statusId": 0,
"externalId": "string",
"createdAt": "string",
"updatedAt": "string"
}

Playground

Server
Authorization
Variables
Key
Value

Samples


Delete an Assignment

DELETE
/v1/assignments/{assignmentId}

Delete an Assignment by ID

Authorizations

apiKey
Type
HTTP (bearer)

Parameters

Path Parameters

assignmentId*
Type
integer
Required
Format
"int32"

Responses

Successfully removed

Playground

Server
Authorization
Variables
Key
Value

Samples


Update an Assignment

PATCH
/v1/assignments/{assignmentId}

Update an Assignment by ID

Authorizations

apiKey
Type
HTTP (bearer)

Parameters

Path Parameters

assignmentId*
Type
integer
Required
Format
"int32"

Request Body

application/json
JSON
{
"number": "string",
"name": "string",
"comment": "string",
"notesBackOffice": "string",
"color": "string",
"address": {
"supplement": "string",
"street": "string",
"clarification": "string",
"zip": "string",
"city": "string",
"state": "string",
"country": "string",
"externalId": "string"
},
"customerId": 0,
"projectId": 0,
"typeId": 0,
"responsibleUserId": 0,
"statusId": 0,
"externalId": "string"
}

Responses

Assignment found

application/json
JSON
{
"id": 0,
"number": "string",
"name": "string",
"comment": "string",
"notesBackOffice": "string",
"color": "string",
"address": {
"supplement": "string",
"street": "string",
"clarification": "string",
"zip": "string",
"city": "string",
"state": "string",
"country": "string",
"latitude": 0,
"longitude": 0,
"externalId": "string"
},
"customerId": 0,
"projectId": 0,
"typeId": 0,
"responsibleUserId": 0,
"statusId": 0,
"externalId": "string",
"createdAt": "string",
"updatedAt": "string"
}

Playground

Server
Authorization
Variables
Key
Value
Body

Samples


List all uploads for an assignment

GET
/v1/assignments/{assignmentId}/uploads

List all uploads for a specific assignment.

Authorizations

apiKey
Type
HTTP (bearer)

Parameters

Path Parameters

assignmentId*
Type
integer
Required
Format
"int32"

Query Parameters

page
Type
number
Minimum
0
Default
0
size
Type
number
Minimum
1
Maximum
20
Default
10
id
categoryId

Responses

List response

application/json
JSON
{
"page": 0,
"pages": 0,
"size": 10,
"items": [
{
"id": 0,
"mimeType": "string",
"fileSize": 0,
"fileName": "string",
"description": "string",
"downloadUrl": "string",
"categoryId": 0,
"createdAt": "string",
"updatedAt": "string",
"assignmentId": 0,
"additionalProperties": "string"
}
]
}

Playground

Server
Authorization
Variables
Key
Value

Samples


Create a new assignment upload

POST
/v1/assignments/{assignmentId}/uploads

Create a new upload for an assignment. The file must be provided as multipart/form-data.

Authorizations

apiKey
Type
HTTP (bearer)

Parameters

Path Parameters

assignmentId*
Type
integer
Required
Format
"int32"

Request Body

multipart/form-data
object
Format"binary"

Responses

Assignment upload found

application/json
JSON
{
"id": 0,
"mimeType": "string",
"fileSize": 0,
"fileName": "string",
"description": "string",
"downloadUrl": "string",
"categoryId": 0,
"createdAt": "string",
"updatedAt": "string",
"assignmentId": 0,
"additionalProperties": "string"
}

Playground

Server
Authorization
Variables
Key
Value
Body

Samples


Get a specific upload for an assignment

GET
/v1/assignments/{assignmentId}/uploads/{uploadId}

Get a specific upload for an assignment by its ID.

Authorizations

apiKey
Type
HTTP (bearer)

Parameters

Path Parameters

assignmentId*
Type
integer
Required
Format
"int32"
uploadId*
Type
integer
Required
Format
"int32"

Responses

Assignment upload found

application/json
JSON
{
"id": 0,
"mimeType": "string",
"fileSize": 0,
"fileName": "string",
"description": "string",
"downloadUrl": "string",
"categoryId": 0,
"createdAt": "string",
"updatedAt": "string",
"assignmentId": 0,
"additionalProperties": "string"
}

Playground

Server
Authorization
Variables
Key
Value

Samples


Delete a specific upload for an assignment

DELETE
/v1/assignments/{assignmentId}/uploads/{uploadId}

Delete a specific upload for an assignment by its ID.

Authorizations

apiKey
Type
HTTP (bearer)

Parameters

Path Parameters

assignmentId*
Type
integer
Required
Format
"int32"
uploadId*
Type
integer
Required
Format
"int32"

Responses

Successfully removed

Playground

Server
Authorization
Variables
Key
Value

Samples


Update a specific upload for an assignment

PATCH
/v1/assignments/{assignmentId}/uploads/{uploadId}

Update a specific upload for an assignment by its ID.

Authorizations

apiKey
Type
HTTP (bearer)

Parameters

Path Parameters

assignmentId*
Type
integer
Required
Format
"int32"
uploadId*
Type
integer
Required
Format
"int32"

Request Body

application/json
JSON
{
"description": "string",
"categoryId": 0,
"fileName": "string"
}

Responses

Assignment upload found

application/json
JSON
{
"id": 0,
"mimeType": "string",
"fileSize": 0,
"fileName": "string",
"description": "string",
"downloadUrl": "string",
"categoryId": 0,
"createdAt": "string",
"updatedAt": "string",
"assignmentId": 0,
"additionalProperties": "string"
}

Playground

Server
Authorization
Variables
Key
Value
Body

Samples


List all uploads for an assignment

GET
/v1/assignments/{assignmentId}/uploads

List all uploads for a specific assignment.

Authorizations

apiKey
Type
HTTP (bearer)

Parameters

Path Parameters

assignmentId*
Type
integer
Required
Format
"int32"

Query Parameters

page
Type
number
Minimum
0
Default
0
size
Type
number
Minimum
1
Maximum
20
Default
10
id
categoryId

Responses

List response

application/json
JSON
{
"page": 0,
"pages": 0,
"size": 10,
"items": [
{
"id": 0,
"mimeType": "string",
"fileSize": 0,
"fileName": "string",
"description": "string",
"downloadUrl": "string",
"categoryId": 0,
"createdAt": "string",
"updatedAt": "string",
"assignmentId": 0,
"additionalProperties": "string"
}
]
}

Playground

Server
Authorization
Variables
Key
Value

Samples


Create a new assignment upload

POST
/v1/assignments/{assignmentId}/uploads

Create a new upload for an assignment. The file must be provided as multipart/form-data.

Authorizations

apiKey
Type
HTTP (bearer)

Parameters

Path Parameters

assignmentId*
Type
integer
Required
Format
"int32"

Request Body

multipart/form-data
object
Format"binary"

Responses

Assignment upload found

application/json
JSON
{
"id": 0,
"mimeType": "string",
"fileSize": 0,
"fileName": "string",
"description": "string",
"downloadUrl": "string",
"categoryId": 0,
"createdAt": "string",
"updatedAt": "string",
"assignmentId": 0,
"additionalProperties": "string"
}

Playground

Server
Authorization
Variables
Key
Value
Body

Samples


Get a specific upload for an assignment

GET
/v1/assignments/{assignmentId}/uploads/{uploadId}

Get a specific upload for an assignment by its ID.

Authorizations

apiKey
Type
HTTP (bearer)

Parameters

Path Parameters

assignmentId*
Type
integer
Required
Format
"int32"
uploadId*
Type
integer
Required
Format
"int32"

Responses

Assignment upload found

application/json
JSON
{
"id": 0,
"mimeType": "string",
"fileSize": 0,
"fileName": "string",
"description": "string",
"downloadUrl": "string",
"categoryId": 0,
"createdAt": "string",
"updatedAt": "string",
"assignmentId": 0,
"additionalProperties": "string"
}

Playground

Server
Authorization
Variables
Key
Value

Samples


Delete a specific upload for an assignment

DELETE
/v1/assignments/{assignmentId}/uploads/{uploadId}

Delete a specific upload for an assignment by its ID.

Authorizations

apiKey
Type
HTTP (bearer)

Parameters

Path Parameters

assignmentId*
Type
integer
Required
Format
"int32"
uploadId*
Type
integer
Required
Format
"int32"

Responses

Successfully removed

Playground

Server
Authorization
Variables
Key
Value

Samples


Update a specific upload for an assignment

PATCH
/v1/assignments/{assignmentId}/uploads/{uploadId}

Update a specific upload for an assignment by its ID.

Authorizations

apiKey
Type
HTTP (bearer)

Parameters

Path Parameters

assignmentId*
Type
integer
Required
Format
"int32"
uploadId*
Type
integer
Required
Format
"int32"

Request Body

application/json
JSON
{
"description": "string",
"categoryId": 0,
"fileName": "string"
}

Responses

Assignment upload found

application/json
JSON
{
"id": 0,
"mimeType": "string",
"fileSize": 0,
"fileName": "string",
"description": "string",
"downloadUrl": "string",
"categoryId": 0,
"createdAt": "string",
"updatedAt": "string",
"assignmentId": 0,
"additionalProperties": "string"
}

Playground

Server
Authorization
Variables
Key
Value
Body

Samples